import 'package:flutter_dotenv/flutter_dotenv.dart';

abstract class ApiEndpoints {
  static String baseUrl = dotenv.env['BASE_URL'] ?? '';
  static const String signUp = '/authentication/user/signup';
  static const String login = '/authentication/user/login';
  static const String forgetPassword = '/authentication/user/forget-password';
  static const String sendOtp = '/authentication/user/send-otp';
  static const String verifyOtp = '/authentication/user/verify-otp';
  static const String getRegion = '/region';
  static const String visitorPassword = '/visitor-password';
  static const String getDevices = '/visitor-password/devices';

  static const String sendOnlineOneTime = '/visitor-password/temporary-password/online/one-time';
  static const String sendOnlineMultipleTime =
      '/visitor-password/temporary-password/online/multiple-time';

//offline Password
  static const String sendOffLineOneTime = '/visitor-password/temporary-password/offline/one-time';
  static const String sendOffLineMultipleTime =
      '/visitor-password/temporary-password/offline/multiple-time';

  static const String getUser = '/user/{userUuid}';

  ////// Devices Management ////////////////

  static const String getAllDevices = '/device';
  static const String getDeviceStatus = '/device/{uuid}/functions/status';
  static const String getBatchStatus = '/device/status/batch';

  static const String deviceControl = '/device/{uuid}/control';
  static const String deviceBatchControl = '/device/control/batch';
  static const String gatewayApi = '/device/gateway/{gatewayUuid}/devices';
  static const String openDoorLock = '/door-lock/open/{doorLockUuid}';

  static const String getDeviceLogs = '/device/report-logs/{uuid}?code={code}';

// Space Module
  static const String createSpace = '/communities/{communityId}/spaces';
  static const String listSpaces = '/communities/{communityId}/spaces';
  static const String deleteSpace = '/communities/{communityId}/spaces/{spaceId}';
  static const String updateSpace = '/communities/{communityId}/spaces/{spaceId}';
  static const String getSpace = '/communities/{communityId}/spaces/{spaceId}';
  static const String getSpaceHierarchy = '/communities/{communityId}/spaces';

// Community Module
  static const String createCommunity = '/communities';
  static const String getCommunityList = '/communities';
  static const String getCommunityById = '/communities/{communityId}';
  static const String updateCommunity = '/communities/{communityId}';
  static const String deleteCommunity = '/communities/{communityId}';
  static const String getUserCommunities = '/communities/user/{userUuid}';
  static const String createUserCommunity = '/communities/user';
  static const String getDeviceLogsByDate =
      '/device/report-logs/{uuid}?code={code}&startTime={startTime}&endTime={endTime}';

  static const String scheduleByDeviceId = '/schedule/{deviceUuid}';
  static const String getScheduleByDeviceId = '/schedule/{deviceUuid}?category={category}';
  static const String deleteScheduleByDeviceId = '/schedule/{deviceUuid}/{scheduleUuid}';
  static const String updateScheduleByDeviceId = '/schedule/enable/{deviceUuid}';
  static const String factoryReset = '/device/factory/reset/{deviceUuid}';
  static const String powerClamp = '/device/{powerClampUuid}/power-clamp/status';

  //product
  static const String listProducts = '/products';
  static const String getSpaceScenes = '/scene/tap-to-run/{unitUuid}';
  static const String getSpaceAutomation = '/automation/{unitUuid}';
  static const String getIconScene = '/scene/icon';
  static const String createScene = '/scene/tap-to-run';
  static const String createAutomation = '/automation';
  static const String getUnitScenes = '/communities/{communityUuid}/spaces/{spaceUuid}/scenes';
  static const String getAutomationDetails = '/automation/details/{automationId}';
  static const String getScene = '/scene/tap-to-run/{sceneId}';
  static const String deleteScene = '/scene/tap-to-run/{sceneId}';

  static const String deleteAutomation = '/automation/{automationId}';
    static const String updateScene = '/scene/tap-to-run/{sceneId}';

  static const String updateAutomation = '/automation/{automationId}';
}
